Subject: Re: [netatalk-admins] token-ring

From: "Michael Rothwell" <[email-masked]>
Date: Mon, 14 Jul 1997 20:56:15 -0400

Q. Will the drivers for your netcards let you put them into promiscuous
mode?

----------
> From: [email-masked]
> To: [email-masked]; [email-masked]; [email-masked]
> Subject: Re: [netatalk-admins] token-ring
> Date: Monday, July 14, 1997 7:56 PM
> 
> 
> Dear Ian, Brian, and netatalk-admins,
> 
>    Thanks you for sharing your knowledge.  I took Ian's advice 
> and, sure enough, /etc/services was missing the four ddp entries.  
> However, while that made the "Unknown service" message go away, 
> appletalk still doesn't work on this computer.  In the meantime, 
> I also:
> 
>  - recompiled my kernel (still linux 2.0.30) with ddp built in (as 
>    opposed to being a loadable module); still no good.
> 
>  - followed Brian's lead and installed an ethernet card to see 
>    whether it's a token-ring support issue; still no good (both 
>    eth0 and tr0 work with IP, but neither works with ddp).
> 
>    The state it's in now is that 'getzones' gives the message (after 
> a while) "atp_resp: Connection timed out"; 'atalkd' gives an immediate 
> "AppleTalk not up! Child exited with 1.", and 'ifconfig tr0 ddp up;
> ifconfig eth0 ddp up; ifconfig' shows no change in the interface (it
> doesn't look like ddp comes up at all, although neither of the first
> two ifconfigs give any error).  This happens whether my /etc/atalkd.conf 
> looks like
> 
> 	tr0
> 	eth0
> 
> or like
> 
> 	tr0 -phase 2 -net 1-10 -addr 1.222
> 	eth0 -phase 2 -net 9000-9099 -addr 9000.222
> 
> Anyone have any further ideas on this?  I really appreciate it --
> thanks!
> 
> 	   -- Mark
> 
> Ian Cameron wrote:
> >>    - 'getzones' gives "Unknown service."
> >
> >Do you have the correct entries in /etc/services ?
> >
> >rtmp   1/ddp   # Routing Table Maintenance Protocol
> >nbp   2/ddp   # Name Binding Protocol
> >echo   4/ddp   # AppleTalk Echo Protocol
> >zip   6/ddp   # Zone Information Protocol
> >
> >I found when trying to run netatalk on a RedHat Intel box using a 
> >binary RPM that /etc/services did not contain the correct entries and 
> >the RPM did not update them either, which resulted in an "Unknown 
> >service." error from getzones.
> >
> >Hope this helps some.
> 
> Thanks!
> 
> >Cheers, Ian.
> 
> Mark Tomory
> Carthage College